# Counter, NVDA add-on

## General Description

This add-on will allow you to perform various functions with text.

Whether you have it on your clipboard or selected in a text box, this will work.

## Counter Functions

The following functions are available, both with a command layer and with an assignable gesture. You can access the gestures from NVDA menu > preferences > input gestures > counter.

Below are the functions.

- Count characters from the clipboard or a selected text.
- Count words from the clipboard or a selected text.
- Count lines from the clipboard or a selected text.
- View the text from the clipboard in an NVDA navigable window.

## Command Layer

The following keys perform an action while the command layer is active.

- c. Counts characters from the clipboard.
- alt+c. Counts characters from a selected text.
- p. Counts words from the clipboard.
- alt+p. Counts words from a selected text.
- l. Counts lines from the clipboard.
- alt+l. Counts lines from a selected text.
- m. Shows the text from the clipboard in an NVDA navigable window.

When performing an action with the command layer, it will exit, deactivating itself. If for any reason a key that does not have an associated function is pressed, it will beep indicating that no function has been assigned to the pressed key.

## Version History

1. **Version 1.0.** Initial release with counting functions.
2. **Version 2.0.** Added the ability to reassign keyboard shortcuts and added a new category in NVDA input gestures for these functions.
3. **Version 2.0.1.** Added a function that allows viewing the copied text on the clipboard in an NVDA message window. Uses the initial shortcut, NVDA + CTRL + E, modifiable from input gestures.
4. **Version 2.0.2.** Made the add-on translatable, now available in English.
5. **Version 2.0.3.** The add-on will not run on secure screens.
6. **Version 2.0.4.** If there is some html text, for example: `<h1>Hello</h1>`, which shows a header, the formatted content will be displayed in the message window.
7. **Version 2.0.5.** The functionality to display html text has been temporarily removed. At the same time, a command layer has been added, which can be modified in input gestures. Initially, it has the command NVDA+shift+c.

## Additional Notes

If you want to make a suggestion for the add-on, or even have an idea for another, you can contact me at the following link:

[Contact Me](https://marco-ml.com/contacto.html)
