# Contador, complemento para NVDA

## Descripción General

Este complemento te permitirá realizar distintas funciones con un texto.

Ya sea que lo tengas en tu portapapeles o seleccionado en un cuadro de texto, este funcionará.

## Funciones del contador

Las siguientes funciones están disponibles, tanto con una capa de órdenes, como con algún gesto a asignar. Puedes acceder a los gestos desde menú NVDA > preferencias > gestos de entrada > contador.

A continuación, se presentan las funciones.

- Contar caracteres del portapapeles, o de un texto seleccionado.
- Contar palabras desde el portapapeles, o de un texto seleccionado.
- Contar líneas desde el portapapeles, o de un texto seleccionado.
- Mirar el texto del portapapeles en una ventana navegable de NVDA.

## Capa de comandos

Las siguientes teclas ejecutan una acción mientras la capa de comandos esté activa.

- c. Cuenta caracteres desde el portapapeles.
- alt+c. Cuenta caracteres de un texto seleccionado.
- p. Cuenta palabras desde el portapapeles.
- alt+p. Cuenta palabras de un texto seleccionado.
- l. Cuenta las líneas desde el portapapeles.
- alt+l. Cuenta líneas de un texto seleccionado.
- m. Muestra el texto del portapapeles en una ventana navegable de NVDA.

Al realizar alguna acción con la capa de comandos, esta saldrá, desactivándose. Si por alguna razón se llega a presionar una tecla que no tenga una función asociada, hará un beep indicando que no se ha asignado alguna función para la tecla presionada.

## Historial de versiones

1. **Versión 1.0.** Lanzamiento inicial con las funciones de conteo.
2. **Versión 2.0.** Añadida la posibilidad de reasignar atajos de teclado y agregada una nueva categoría en los gestos de entrada de NVDA para estas funciones.
3. **Versión 2.0.1.** Se agregó una función que permite visualizar el texto copiado en el portapapeles en una ventana de mensaje de NVDA. Utiliza el atajo inicial, NVDA + CTRL + E, modificable desde los gestos de entrada.
4. **Versión 2.0.2.** Se ha hecho traducible el complemento, ahora disponible en idioma inglés.
5. **Versión 2.0.3.** El complemento no se ejecutará en pantallas seguras.
6. **Versión 2.0.4.** Si se tiene algún texto html, por ejemplo: `<h1>Hola</h1>`, que muestra un encabezado, se mostrará el contenido formateado en la ventana de mensaje.
7. **Versión 2.0.5.** Se ha removido la funcionalidad de mostrar texto html de forma temporal. Al mismo tiempo, se ha añadido una capa de comandos, la cual puede ser modificada en los gestos de entrada. Inicialmente, tiene el comando NVDA+shift+c.

## Notas adicionales

Si deseas realizar alguna sugerencia para el complemento, o incluso tienes alguna idea para otro, puedes ponerte en contacto desde el siguiente enlace:

[Contáctame](https://marco-ml.com/contacto.html)
